package cn.com.qmth.stmms.biz.mark.query;

import org.springframework.data.domain.Sort;
import org.springframework.data.domain.Sort.Direction;

import cn.com.qmth.stmms.biz.common.BaseQuery;
import cn.com.qmth.stmms.biz.mark.model.ArbitrateHistory;
import cn.com.qmth.stmms.common.enums.HistoryStatus;

public class ArbitrateHistorySearchQuery extends BaseQuery<ArbitrateHistory> {

    private Integer examId;

    private String subjectCode;

    private Integer groupNumber;

    private Integer studentId;

    private String examNumber;

    private HistoryStatus status;

    private Integer userId;

    private String secretNumber;

    private Double startScroe;

    private boolean unselective;

    public void orderByIdDesc() {
        setSort(new Sort(Direction.DESC, "id"));
    }

    public void orderByUpdateTimeDesc() {
        setSort(new Sort(Direction.DESC, "updateTime"));
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getExamNumber() {
        return examNumber;
    }

    public void setExamNumber(String examNumber) {
        this.examNumber = examNumber;
    }

    public HistoryStatus getStatus() {
        return status;
    }

    public void setStatus(HistoryStatus status) {
        this.status = status;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getSecretNumber() {
        return secretNumber;
    }

    public void setSecretNumber(String secretNumber) {
        this.secretNumber = secretNumber;
    }

    public boolean isUnselective() {
        return unselective;
    }

    public void setUnselective(boolean unselective) {
        this.unselective = unselective;
    }

    public Double getStartScroe() {
        return startScroe;
    }

    public void setStartScroe(Double startScroe) {
        this.startScroe = startScroe;
    }

}
